Catch-ups
List catch-ups
Lists the calling member’s catch-ups that still have at least one pending action, each with all of its actions. A catch-up is a follow-up suggestion Fluid raises for a member, such as a customer who abandoned a cart. Requires a user Bearer token for a company admin or rep; admin callers also need the catchup view permission. Returns a bare JSON array and is not paginated.
GET
/
api
/
catch_ups
List catch-ups
curl --request GET \
--url https://api.fluid.app/api/catch_ups \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/catch_ups"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/catch_ups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/catch_ups",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/catch_ups"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/catch_ups")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/catch_ups")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": 30914,
"suggestion_title": "Holly Flax left copy paper in her cart",
"suggestion_description": "Holly added two cases of Dunder Mifflin 20lb Copy Paper to her cart yesterday and did not check out.",
"mocked": false,
"catch_up_class": "CART_ABANDONED",
"company": 1405,
"user_company": 90417,
"status": true,
"catch_up_actions": [
{
"id": 48213,
"type": "SendSmsCatchUpAction",
"action_class": null,
"status": "pending",
"created_at": "2026-09-14T15:02:11Z",
"updated_at": "2026-09-14T15:02:11Z",
"company": 1405,
"company_name": "Dunder Mifflin Paper Company",
"catch_up_id": 30914,
"suggestion_title": "Holly Flax left copy paper in her cart",
"suggestion_description": "Holly added two cases of Dunder Mifflin 20lb Copy Paper to her cart yesterday and did not check out.",
"catch_up_class": "CART_ABANDONED",
"meta_data": {
"full_name": "Holly Flax",
"product_title": "Dunder Mifflin 20lb Copy Paper"
},
"contact": {
"id": 77120,
"first_name": "Holly",
"last_name": "Flax",
"full_name": "Holly Flax",
"email": "holly.flax@dundermifflin.com",
"phone": "+15705550142",
"city": "Nashua",
"state": "NH"
},
"affiliate_contact_details": null,
"action_data": {
"meta": {
"klass": "CART_ABANDONED",
"language": "English",
"message": "Hi Holly, your two cases of 20lb copy paper are still in your cart. Want me to hold them for you?"
}
},
"task": null
}
]
}
]{
"message": "<string>"
}Response
Success
⌘I
List catch-ups
curl --request GET \
--url https://api.fluid.app/api/catch_ups \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/catch_ups"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/catch_ups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/catch_ups",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/catch_ups"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/catch_ups")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/catch_ups")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": 30914,
"suggestion_title": "Holly Flax left copy paper in her cart",
"suggestion_description": "Holly added two cases of Dunder Mifflin 20lb Copy Paper to her cart yesterday and did not check out.",
"mocked": false,
"catch_up_class": "CART_ABANDONED",
"company": 1405,
"user_company": 90417,
"status": true,
"catch_up_actions": [
{
"id": 48213,
"type": "SendSmsCatchUpAction",
"action_class": null,
"status": "pending",
"created_at": "2026-09-14T15:02:11Z",
"updated_at": "2026-09-14T15:02:11Z",
"company": 1405,
"company_name": "Dunder Mifflin Paper Company",
"catch_up_id": 30914,
"suggestion_title": "Holly Flax left copy paper in her cart",
"suggestion_description": "Holly added two cases of Dunder Mifflin 20lb Copy Paper to her cart yesterday and did not check out.",
"catch_up_class": "CART_ABANDONED",
"meta_data": {
"full_name": "Holly Flax",
"product_title": "Dunder Mifflin 20lb Copy Paper"
},
"contact": {
"id": 77120,
"first_name": "Holly",
"last_name": "Flax",
"full_name": "Holly Flax",
"email": "holly.flax@dundermifflin.com",
"phone": "+15705550142",
"city": "Nashua",
"state": "NH"
},
"affiliate_contact_details": null,
"action_data": {
"meta": {
"klass": "CART_ABANDONED",
"language": "English",
"message": "Hi Holly, your two cases of 20lb copy paper are still in your cart. Want me to hold them for you?"
}
},
"task": null
}
]
}
]{
"message": "<string>"
}